#!/bin/bash
#
# Last update: 2021.12.9
# URL : https://support.cpanel.net/hc/en-us/articles/360053282633-How-to-Manage-PHP-versions-on-the-command-line-

# 刪除暫存檔案
rm -f /tmp/domain.txt /tmp/version.txt

# 取得 Domain Name & PHP Version
whmapi1 php_get_vhost_versions | grep vhost: | awk '{print $2}' >> /tmp/domain.txt
whmapi1 php_get_vhost_versions | grep version: | awk '{print $2}' | grep -v '^1' >> /tmp/version.txt

# 顯示查詢結果 (只會顯示有調整過 PHP 版本的用戶，使用 native 不會顯示)
echo 'Domain Name 資訊存放 : /tmp/domain.txt'
echo 'PHP Version 資訊存放 : /tmp/version.txt'

